package com.convenient.android.common.extension

import com.convenient.android.common.utils.math.MathUtils

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/8/2
 * description:数学相关的扩展类
 */


/**
 * 移除消除点后为零的值
 * 5.5->5.0, 5.0-> 5
 */
fun Double.removeDecimalPointWithZeroValue() : String{
    return MathUtils.removeDecimalPointWithZeroValue(this)
}


/**
 * 保留小数点后一位数
 */
fun Double.keepTheFirstOneDigitsAfterTheDecimalPoint(): Double{
    return MathUtils.keepTheFirstOneDigitsAfterTheDecimalPoint(this)
}
